Get remediation policies
curl --request GET \
--url https://api.example.com/api/policies/v2/deployments/{deploymentId}/remediation-policies \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/policies/v2/deployments/{deploymentId}/remediation-policies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/policies/v2/deployments/{deploymentId}/remediation-policies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bundle": {
"deployment_slug": "my-org",
"policies": [
{
"name": "Block high-confidence criticals",
"filters": {
"mode": "all",
"conditions": [
{
"type": "severity",
"values": [
"critical",
"high"
],
"mode": "any"
}
]
},
"actions": [
{
"type": "block",
"config": {}
}
],
"slug": "block-high-confidence-criticals",
"description": "<string>",
"active": true
}
]
},
"state_version": "d4c3b2a1"
}Policies V2
Get remediation policies
Returns the remediation policies bundle for the deployment plus the state_version required to apply changes. System-managed policies are not included.
GET
/
api
/
policies
/
v2
/
deployments
/
{deploymentId}
/
remediation-policies
Get remediation policies
Authorizations
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Path Parameters
The unique numerical identifier for the deployment.
Example:
1234
Response
200 - application/json
OK
Was this page helpful?
⌘I